Package net.shibboleth.shared.servlet

# Interface HttpServletRequestValidator

All Known Implementing Classes:
  `BasicHttpServletRequestContentTypeValidator`, `BasicHttpServletRequestMethodValidator`, `BasicHttpServletRequestParametersValidator`, `ChainingHttpServletRequestValidator`, `NoOpHttpServletRequestValidator`

public interface HttpServletRequestValidator
Interface for a component that validates an `HttpServletRequest`.

Since:
  9.1.4

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(HttpServletRequest request)`
Validate the request.

## Method Details

### validate

void validate(@Nonnull HttpServletRequest request) throws ServletException
Validate the request.

Parameters:
  `request` - the request to validate
Throws:
  `ServletException` - if the request is determined to be invalid